- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-dirstream.cc File Reference

`#include <config.h>`
`#include "sbuild-dirstream.h"`
`#include <cerrno>`
`#include <cstring>`

Include dependency graph for sbuild-dirstream.cc:

## Typedefs
typedef std::pair< dirstream::error_code, const char * > | emap
## Functions
dirstream & | sbuild::operator>> (dirstream &stream, direntry &entry)
| The overloaded extraction operator.
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<dirstream::error_code,const char *> emap`[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {

          emap(dirstream::DIR_OPEN,    N_("Failed to open directory '%1%'")),

          emap(dirstream::DIR_READ,    N_("Failed to read directory '%1%'"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.